/* Copyright (c) 2009 Nordic Semiconductor. All Rights Reserved.
 *
 * The information contained herein is property of Nordic Semiconductor ASA.
 * Terms and conditions of usage are described in detail in NORDIC
 * SEMICONDUCTOR STANDARD SOFTWARE LICENSE AGREEMENT.
 *
 * Licensees are granted free, non-transferable use of the information. NO
 * WARRANTY of ANY KIND is provided. This heading must NOT be removed from
 * the file.
 *
 */

#include <stdbool.h>
#include <stdint.h>
#include <string.h>
#include "nrf.h"
#include "nrf_delay.h"
#include "nrf6350.h"

const char str_welcome[]  = "Hello world!";
const char str_welcome2[] = "Press joystick";

/**
 * main function
 * \return 0. int return type required by ANSI/ISO standard. 
 */
int main(void)
{
    uint8_t joystick = JS_BUTTON_NONE, joystick_last = JS_BUTTON_NONE;
    
    nrf6350_lcd_init();
    nrf6350_lcd_write_string(str_welcome, strlen(str_welcome), LCD_UPPER_LINE, 0);
    nrf6350_lcd_write_string(str_welcome2, strlen(str_welcome2), LCD_LOWER_LINE, 0);
    
    while (true)
    {
        if(nrf6350_js_get_status(&joystick) && joystick != joystick_last)
        {
            switch(joystick)
            {
                case JS_BUTTON_LEFT:
                    nrf6350_lcd_write_string("Left",  strlen("Left"),  LCD_UPPER_LINE, 0);
                    break;
                case JS_BUTTON_RIGHT:
                    nrf6350_lcd_write_string("Right", strlen("Right"), LCD_UPPER_LINE, 1);
                    break;
                case JS_BUTTON_UP:
                    nrf6350_lcd_write_string("Up",    strlen("Up"),    LCD_UPPER_LINE, 2);
                    break;
                case JS_BUTTON_DOWN:
                    nrf6350_lcd_write_string("Down",  strlen("Down"),  LCD_UPPER_LINE, 3);
                    break;
                case JS_BUTTON_PUSH:
                    nrf6350_lcd_write_string("Push",  strlen("Push"),  LCD_UPPER_LINE, 4);
                    break;
                default:
                    nrf6350_lcd_write_string("",      1,               LCD_UPPER_LINE, 0);
                    break;
            }
            joystick_last = joystick;
        }
        nrf_delay_us(5000);
    }
}

/**
 *@}
 **/
